Create a transaction

When a 4xx client error occurs, response body may have schema YL.Domain.Messages.ResultWrapper
and contain more details on the error.

Possible values of YL.Domain.Messages.ResultWrapper.ErrorType for this endpoint:

2 - Instant settlement not found
4 - Attempted to create a transaction on an Instant Settlement for which automatic creation of loans is disabled.
5 - CurrencyISOCode for the requested transaction does not match the CurrencyISOCode on the Instant Settlement.
6 - Attempted to create transaction with YL.Web.Api.ThirdParty.Loan.InstantSettlement.Models.CreateInstantSettlementTransactionModel.TotalSettlementAmount equal to 0.
7 - Attempted to create a transaction that was not from today.
8 - The size of the requested transaction is too large.
9 - A transaction with the same transaction reference has already been created recently (within last 50 created transactions).


Sample request:
POST /api/InstantSettlement/30000001
{
"transactionReference": "ref",
"currencyISOCode": "GBP",
"totalSettlementAmount": 10000,
"transactionDate" : "2020-02-16T18:25:43-05:00"
}

Path Params
int32
required

Instant settlement number (an integer)


This parameter can be obtained by calling the api/InstantSettlement GET endpoint which returns details about all instant settlement products available for a lending partner.

Body Params

The YL.Web.Api.ThirdParty.Loan.InstantSettlement.Models.CreateInstantSettlementTransactionModel

Model for creating an instant settlement transaction

string
required
length between 1 and 35

Gets or sets a transaction reference that will be shown in the account where the funds are transfered.
This is a string of maximum 35 characters (a-zA-Z0-9/-?:.+ blank/space). It needs to be unique for each transaction request.

string | null

Gets or sets Currency ISO code string

double
≥ 0

Gets or sets Total settlement amount

date-time

Gets or sets transaction date
(needs to be within the settlement cycle length specified for each Instant Settlement)

Headers
string
Responses

401

Unauthorized request

403

Forbidden request

422

CreateInstantSettlementTransactionModel from request body failed validation

500

Servers are unavailable

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json